Subject: Re: WiSH: A General Purpose Message Framing over Byte-Stream Oriented Wire Protocols (HTTP)

From: Takeshi Yoshino <[email-masked]>
Date: Tue, 25 Apr 2017 16:28:52 +0900

Finally, I started a thread at HyBi as Mark and Patrick suggested. Please
join it.

https://mailarchive.ietf.org/arch/msg/hybi/6-CXa2Ab1qC5fNnc8r6yYNrpKPE

Takeshi

On Fri, Dec 16, 2016 at 12:58 PM, Takeshi Yoshino <[email-masked]>
wrote:

> Thank you everyone for all the feedback.
>
> I'd like to start some thread soon at HyBi to get more feedback to WiSH
> from WebSocket users, and also figure out how to standardize it in
> parallel. I've also shared the idea briefly with annevk at WHATWG and going
> to start some discussion there, too.
>
> Again, thank you.
>
> Takeshi
>
> On Thu, Dec 1, 2016 at 10:13 PM, Alexey Melnikov <
> [email-masked]> wrote:
>
>> Hi,
>>
>> On 27 Nov 2016, at 14:36, Van Catha <[email-masked]> wrote:
>>
>> So can we form a new WG then and focus on doing this right vs making
>> WebSocket2.  The focus earlier was to get the already coded clients and API
>> (websocket API) to be able to work with websockets layered on HTTP2/QUIC,
>> if we are in it for the long haul now we might as well form a new group and
>> create something more long term?
>>
>> Long haul meaning maybe making websockets its own protocol, detaching
>> from HTTP2, having its own ALPN, etc.
>>
>>
>> Interested parties should email [email-masked] and start the
>> chartering discussion. Your friendly area directors will help you with the
>> process.
>>
>>
>> On Sun, Nov 27, 2016 at 1:53 AM, Mark Nottingham <[email-masked]> wrote:
>>
>>>
>>> > On 25 Nov. 2016, at 7:25 pm, Takeshi Yoshino <[email-masked]>
>>> wrote:
>>> >
>>> > Thanks all.
>>> >
>>> > IESG and IETF don't have unlimited resource. Conclusion of HyBi did
>>> make sense.
>>> >
>>> > As noted by Barry in his mail about WG conclusion and as Mark said, we
>>> can form a supervision again once there's enough interest.
>>> > https://mailarchive.ietf.org/arch/msg/hybi/vreF1jd3I-vsyWN1TiRnFSCEoVI
>>> >
>>> > > What *is* in-scope here is how (if at all) that protocol interacts
>>> with HTTP, including HTTP/2; there are several ways you could implement
>>> WebSockets over HTTP/2, and a few pitfalls in doing so that the people on
>>> this list will be able to give you feedback on.
>>> >
>>> > One of the keys of the WiSH proposal is to focus on API level
>>> compatibility with WebSocket. But except for that point, it's a general
>>> proposal of application of HTTP semantics and HTTP/2's power for
>>> full-duplex messaging in the Web. The proposal (one done by Yutaka in 2014
>>> and Van's one also) heavily depends on what the HTTP WG produces (specs,
>>> documents and possibly any kind of official/unofficial communications). So,
>>> I think there shouldn't be no doubt on need for close work with HTTP WG.
>>> >
>>> > That said, I agree we need to have the right structure of the
>>> community to have the "best" work mode based on various metrics (level of
>>> interest for each proposal, their complexity, scope, etc.), and the IESG
>>> and the co-chairs are trying to do the best in making the right decision, I
>>> think.
>>> >
>>> > > However, it's hard to do that before there's agreement in the WS
>>> community about what the requirements are. Ideally, that community would
>>> bring a single proposal that has broad support here for review.
>>> >
>>> > Mark, does this post of yours imply that you're seeing HyBi ML as one
>>> effective representative of WS community at this point with HTTP WG chair
>>> hat on?
>>>
>>> I'm seeing it as the obvious place to hold the discussion; it doesn't
>>> have any official status (beyond being the place where hybi happened
>>> before), but it's typical practice to keep IETF mailing lists open after a
>>> WG concludes, so that the interested parts of the community have a forum.
>>>
>>> Cheers,
>>>
>>>
>>> --
>>> Mark Nottingham   https://www.mnot.net/
>>>
>>>
>>
>